cURL
curl --request GET \
--url https://api.mottostreaming.com/streaming/configurations/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/streaming/configurations/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/streaming/configurations/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configurations": [
{
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"default": true,
"disabled": true,
"type": "CONFIGURATION_TYPE_UNSPECIFIED",
"data": {
"transcoder_streams": {
"streams": [
{
"video_quality": "VIDEO_QUALITY_UNSPECIFIED",
"video_aspect_ratio": "VIDEO_ASPECT_RATIO_UNSPECIFIED",
"video_bitrate": 123,
"video_framerate": 123,
"video_keyframe_interval": 123,
"segment_duration": 123
}
]
},
"transcoder_overlays": {
"static_overlays": [
{
"asset_id": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
]
},
"automated_tagging": {
"enabled": true
}
}
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Configurations
List configurations
ListConfigurations
Return list of configurations.
GET
/
streaming
/
configurations
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
If this field is not empty then it must contain the next_page_token value
returned by a previous call to this method. Using this field causes the
method to return additional results from the previous method call.
ID of the project for which configurations are returned.
Filter the result-set by properties using a subset of the Kibana Query Language. Only AND statements are supported.
Can be used to find the configurations attached to a workflow using workflow_id:xyz

